Генератор TOTP / HOTP для безопасных одноразовых паролей
Генератор TOTP / HOTP создаёт одноразовые пароли из общего секрета в Base32. TOTP использует текущее время, а HOTP — счётчик. Выберите 6, 7 или 8 цифр, SHA-1, SHA-256 или SHA-512 и период времени, например 15, 30 или 60 секунд. Живой обратный отсчёт показывает, как долго остаётся действительным текущий код TOTP.
Генератор TOTP / HOTP создаёт одноразовые пароли, используемые в двухфакторной аутентификации. Он поддерживает TOTP (RFC 6238), который выводит свежий код из текущего времени и общего секрета, и HOTP (RFC 4226), который выводит код из счётчика. Общий секрет закодирован как Base32 (RFC 4648) — формат, переносимый QR-кодами для Google Authenticator.
Чтобы генерировать коды, инструмент использует общий секрет с выбранными настройками. Вы можете выбрать 6, 7 или 8 цифр, SHA-1, SHA-256 или SHA-512 и период TOTP, например 15, 30 или 60 секунд. Живая полоса обратного отсчёта показывает, как долго остаётся действительным текущий код на основе времени. Вычисления используют WebCrypto HMAC и выполняются локально в вашем браузере.
TOTP и HOTP различаются значением, используемым для вывода каждого кода: TOTP использует время, а HOTP — счётчик. Оба формата создают одноразовые пароли из общего секрета, но различие важно при тестировании или работе с конкретным потоком двухфакторной аутентификации. Используйте генератор, чтобы готовить коды для тестовых данных, проверять рабочий процесс аутентификатора или сравнивать два стандарта.
Генератор TOTP / HOTP работает в вашем браузере, и данные не отправляются на сервер. У него нет серверной зависимости, поэтому после загрузки страницы он продолжает работать офлайн. Это делает его полезным для разработчиков и DevOps-инженеров, которым нужны коды для локального тестирования, фикстур, документации или задач разработки без отправки общего секрета куда-либо.
Шаг 1: Введите общий секрет в формате Base32 — кодировке, используемой в QR-кодах аутентификатора.
Шаг 2: Задайте доступные опции: выберите 6, 7 или 8 цифр и SHA-1, SHA-256 или SHA-512.
Шаг 3: Выберите период времени для TOTP, например 15, 30 или 60 секунд.
Шаг 4: Сгенерируйте одноразовый пароль и проверьте живой обратный отсчёт, чтобы увидеть, как долго остаётся действительным текущий код TOTP.
Шаг 5: Скопируйте нужные значения для вашего теста, фикстуры или другого рабочего процесса.
Пример использования: Генерируйте значения TOTP или HOTP для тестов аутентификации, фикстур и начальных данных вместо ручного ввода примерных кодов.
Пример использования: Создавайте пакет кодов сразу при подготовке тестовых данных как альтернативу ручному придумыванию значений.
Пример использования: Создавайте коды согласно выбранному стандарту и настройкам, а не полагаясь на догадки, введённые с клавиатуры.
Пример использования: Проверьте, как общий секрет в Base32 создаёт одноразовый пароль при тестировании рабочего процесса аутентификатора.
Пример использования: Сравнивайте коды TOTP на основе времени с кодами HOTP на основе счётчика при разработке или отладке двухфакторной аутентификации.
Пример использования: Готовьте примеры одноразовых паролей для документации, демонстраций или другой работы над разработкой.